우분투 19.04 드라이버 컴파일 관련질문 (커널버전 문제)

하드웨어 지원 및 드라이버 설치 등에 관한 문제 해결

Moderator: Dry8r3aD

Post Reply
zmdk0913
Posts: 1
Joined: 2020/04/10 Fri 10:38 am

우분투 19.04 드라이버 컴파일 관련질문 (커널버전 문제)

Post by zmdk0913 » 2020/04/10 Fri 10:47 am

저는 usb tv tuner Mygica A681을 우분투 19.04 커널 5.4.0-rc1에서 사용하려고 합니다.
이 커널 버전에 맞는 드라이버는 주어져 있습니다,
https://gitlab.com/updatelee/v4l-update ... 0a8501.zip
압축파일을 풀면 컴파일할 수 있게끔 되어있습니다.
우선 VMWare에 우분투 19.04 데스크탑을 설치하였고 기본적인 컴파일도구들은 다운받았습니다. vmware에서 usb 튜너를 장치로 인식시켰더니 dmesg 명령어 치면 인식까지는 되고 드라이버는 안 깔려진 상태입니다.
make, make install을 하면 커널버전이 안 맞아서인지 오류가 뜹니다. 알고보니 이 드라이버는 5.4.0-rc1-udl 전용이고 제가 업데이트시킨 리눅스 커널은 5.4.0-050400rc1-generic입니다. 제 환경에 맞게 드라이버의 정보를 약간 수정하면 사용할 수 있는건가요? /boot/config-`uname -r`을 .config로 불러오고 make menuconfig에서 .config load후 exit로 종료하고 make하면 .config파일이 원래대로 돌아와 있습니다. 커널버전에 맞게 컴파일 해서 사용 할 수 있는방법 부탁드립니다. 사실 mn88436, mxl603 모듈 드라이버만 있으면 될거같은데 저 드라이버에는 엄청 많은 드라이버들이 있네요. 그래서 컴파일 하는데만 4시간이 걸렸습니다. (1코어로 설정했을 때)
gitlab 주소 https://gitlab.com/updatelee/v4l-update ... 0a8501.zip
해외 커뮤니티 내의 글 주소 https://rickcaylor.websitetoolbox.com/p ... trail=2130

Post Reply